package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.SparringCourseListBean;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface SparringCourseContract {

    interface SparringCourseView extends BaseView {
        void onGetSparringCourseSuccess(int page, SparringCourseListBean sparringCourseBean);
        void onGetCourseError(int page);
    }

    interface Presenter {
        void querySparringCourse(boolean isShowLoading,String month, String status, int subjectId,int page);
    }
}
